ReportEntry (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.server.managers.report
Class ReportEntry

    java.lang.Object
      org.gcube.resourcemanagement.support.server.managers.report.ReportEntry

    public class ReportEntry

extends Object

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`ReportEntry(ReportOperation operation, AbstractResourceManager resource)`
`ReportEntry(ReportOperation operation, AbstractResourceManager resource, boolean success)`
`ReportEntry(ReportOperation operation, AbstractResourceManager resource, String message, boolean success)`

Method Summary
`ReportOperation` | `getOperation()`
`AbstractResourceManager` | `getResource()`
`boolean` | `isSuccess()`
`void` | `setMessage(String message)`
`void` | `setMessage(Throwable ex)`
`void` | `setSuccess(boolean success)`
`String` | `toString()`
`String` | `toXML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReportEntry

    public ReportEntry(ReportOperation operation,
                       AbstractResourceManager resource)
                throws AbstractResourceException

Throws:
  `AbstractResourceException`

### ReportEntry

    public ReportEntry(ReportOperation operation,
                       AbstractResourceManager resource,
                       boolean success)
                throws AbstractResourceException

Throws:
  `AbstractResourceException`

### ReportEntry

    public ReportEntry(ReportOperation operation,
                       AbstractResourceManager resource,
                       String message,
                       boolean success)
                throws AbstractResourceException

Throws:
  `AbstractResourceException`

Method Detail

### getOperation

    public final ReportOperation getOperation()

### getResource

    public final AbstractResourceManager getResource()

### isSuccess

    public final boolean isSuccess()

### setSuccess

    public final void setSuccess(boolean success)

### setMessage

    public final void setMessage(String message)

### setMessage

    public final void setMessage(Throwable ex)

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

### toXML

    public final String toXML()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.